@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;900&family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400&family=Oswald:wght@400;700&display=swap');

:root {
    /* --padding-container: 100px 0; */
    --color-title: #001A49
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /* footer abajo */
    height: 100%;
}

body {
    /* footer abajo */
    display: flex;
    flex-direction: column;
    min-height: 100%;
    font-family: 'Poppins', sans-serif; 
    background: yellow;
    scroll-behavior: smooth;
    position: relative;
}

a {
    text-decoration: none;
    transition-property: background, filter, opacity;
    outline: none;
    transition-duration: .3s;
    transition-timing-function: ease;
    filter: brightness(100%);
    opacity: 1;
    display: contents;
    text-decoration: none;
}

/* preloader */
.preloader {
    width: 100vw;
    height: 100vh;
    background: black;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    transition: all 2s ease-out;
}

.preloader__img {
    width: 25%;
    filter: drop-shadow(0 0 0.2rem black);
    /* margin-bottom: 50px; */
    animation: move 2s ease-in-out;

}

@keyframes move {
    0% {
        scale: 0;
    }

    100% {
        scale: 1;
    }
}


/* barra de navegacion */
.nav {
    width: 100%;
    height: 80px;
    background: rgba(0, 0, 0, .1);


    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 9;

}

/* scroll sombra barra de navegacion */
.nav--on {
    background: rgba(0, 0, 0, .7);
    height: 100px;
    transition: 1s ease-in-out;
    z-index: 9;
}

.nav__container {
    width: 90%;
    height: 80px;
    max-width: 1200px;
    margin: 0 auto;

    display: flex;
    align-items: center;
    justify-content: space-between;

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
}

.nav__logo img {
    width: 200px;
    position: relative;
    display: flex;
    margin: 0 auto;
    margin-left: -30px;
}

.nav__link {
    display: flex;
    list-style: none;
    position: relative;
}

.nav__link a {
    font-size: 12px;
    font-weight: 600;
    margin: 30px;
    text-decoration: none;
    color: black;

}

.nav__menu {
    font-size: 20px;
    display: none;

}


.nav__menu--close {
    font-size: 20px;
    display: none;
    z-index: 99999;
}

.nav__subscribe {
    font-size: 13px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: red;
    font-weight: 600;
    display: none;
    position: absolute;
    left: 220px;
    transition: .1s ease-in-out;
}

.nav__avatar {
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    width: 40px;
    height: 40px;
    position: absolute;
    right: 100px;
}

/* Iglesia Cards */

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.iglesia__container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.iglesia__card--ancla {
    width: 100%;
    transition-property: background, filter, opacity;
    outline: none;
    transition-duration: .3s;
    transition-timing-function: ease;
    filter: brightness(100%);
    opacity: 1;
    display: inline-block;
    text-decoration: none;


}

.iglesia__container--card {
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
    z-index: 1;
    margin: 10em auto 20em;

}

.iglesia__card {
    width: 90%;
    height: 25vh;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    border: none;
    /* cursor: pointer; */

    border-radius: 8px;
    margin: 20px auto 20px;
    -webkit-box-shadow: 10px 11px 15px -4px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 10px 11px 15px -4px rgba(0, 0, 0, 0.75);
    box-shadow: 10px 11px 15px -4px rgba(0, 0, 0, 0.75);
    background-size: cover;

}

.iglesia__titulo {
    /* font-family: 'Press Start 2P', cursive; */
    font-size: 16px;
    color: white;
    margin-bottom: 20px;
}

/* presencial */
.iglesia__card--uno {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url('../imagenes/4.png');
    background-position: center;
    background-size: cover;
}

/* congreso 
.iglesia__card--tres {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/congreso.avif);
    background-position: center;
    background-size: cover;
}
*/

/* instagram */
.iglesia__card--cuatro {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/2.png);
    background-position: center;
    background-size: cover;
}

/* youtube */
.iglesia__card--cinco {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/1.png);
    background-position: center;
    background-size: cover;
}

/* merch */
.iglesia__card--seis {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/gorra.png);
    background-position: top;
    background-size: cover;
    background-repeat: repeat;
    background-color: rgb(53, 9, 155);
    position: relative;
}

/* starting pack */
.iglesia__card--siete {
    /* OCULTO HASTA EL DIA DEL EVENTO */

    background:
        linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/Sticker\ Gen\ Z\ -\ copia.png);
    background-position: center;
    background-size: cover;
    background-color: rgba(99, 13, 79, 0.997);


}

/* Clase Abierta */
.iglesia__card--ocho {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/clase.jpg);
    background-position: top;
    background-size: cover;
    background-repeat: repeat;
    background-color: rgb(53, 9, 155);
    position: relative;
}


/* footer */
footer {
    width: 100%;
    height: 40%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: url(../imagenes/footer3.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* footer abajo */

}

.footer__social i {
    color: white;
    font-size: 25px;
    margin: 10px;
    cursor: pointer;
}

.footer__social p {
    color: white;
    font-weight: 600;
}


.footer__social {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    padding: 20px;
    gap: 5px;
    position: absolute;
    bottom: 0;
}




/* media querys */
/* TabE Samsung */
@media screen and (max-width: 820px) {

    .preloader__img {
        width: 50%;
        margin-bottom: 70px;
        animation: move 2s ease-in-out;
    }

    .nav__menu {
        display: none;
        font-size: 30px;
    }

    .nav__menu--close {
        font-size: 30px;
    }

    .nav__menu img {
        width: 30px;
        cursor: pointer;
    }

    .nav__logo {
        margin-left: 0px;
    }

    .nav__link {
        color: white;
    }

    .nav__link--menu {
        position: fixed;
        background: #151E21;
        color: white;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;

        width: 100vw;
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        pointer-events: none;
        z-index: 9;
        opacity: 0;
        transition: .2s opacity;
    }

    .nav__link--menu a {
        color: white;
        font-size: 25px;
        z-index: 9999;
    }

    .nav__avatar {
        display: block;
        right: 0;
    }

    .iglesia__container--card {
        margin: 7em auto -7em;
        width: 100%;
    }

    .iglesia__card {
        width: 90%;
        height: 10Vh;
    }

    /* FOOTER */
    footer {
        height: 40%;
    }

    /* Clase Abierta */
    .iglesia__card--ocho {
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%), url(../imagenes/clase.jpg);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        background-color: rgb(53, 9, 155);
        position: relative;
    }
}



/* Motorola g42 */
@media screen and (max-width: 524px) {

    .preloader__img {
        width: 400px;
        margin-bottom: 70px;
        animation: move 2s ease-in-out;
    }


    .iglesia__card {
        width: 90%;
        height: 100px
    }

    /* Iglesia Cards */

    .container {
        width: 90%;
    }

    .iglesia__container {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 10% auto 70%;
    }

    .iglesia__container--card {
        /* margin: 10em auto 1em; */
        gap: 0.5em;
    }

    /* FOOTER */
    footer {
        height: 30%;
    }

    .footer__social p {
        font-size: 13px;
    }










}

;